light-mode-image
Learn
API ReferenceMembers

Retrieve tenant members

Analytics Events

TENANT_MEMBER_RETRIEVE_LIST_STARTTENANT_MEMBER_RETRIEVE_LIST_SUCCESSTENANT_MEMBER_RETRIEVE_LIST_FAIL
GET/v1/tenants/{tenantId}/members

Retrieves a list of all users that have access to the tenant.

Analytic events

  • TENANT_MEMBER_RETRIEVE_LIST_START
  • TENANT_MEMBER_RETRIEVE_LIST_SUCCESS
  • TENANT_MEMBER_RETRIEVE_LIST_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

tenantId*string

Identifier of the tenant to retrieve.

Formatuuid

Query Parameters

limit?number

Range size of returned list.

Range1 <= value <= 1000
Default100
cursor?string

Starting point for the list of entries.

Response Body

application/json

application/json

text/plain

curl -X GET "https://example.com/v1/tenants/543e0579-87b9-4705-be78-8f7f54709838/members"
{  "data": [    {      "id": "string",      "email": "string",      "name": "string",      "status": "Pending",      "roles": [        "string"      ],      "permissions": [        "string"      ],      "inviteExpiresAt": "2019-08-24T14:15:22Z",      "isSSO": true,      "isLocalLogin": true,      "isMfaEnabled": true,      "lastLoginAt": "2019-08-24T14:15:22Z"    }  ],  "nextCursor": "string"}

How would you rate this page?